<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;FBSDKErrorRecoveryAttempting&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="protocol_f_b_s_d_k_error_recovery_attempting-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;FBSDKErrorRecoveryAttempting&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_constants_8h_source.html">FBSDKConstants.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for &lt;FBSDKErrorRecoveryAttempting&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_f_b_s_d_k_error_recovery_attempting-p.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:abfea977af3574bf3fe26941798e86d00"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_error_recovery_attempting-p.html#abfea977af3574bf3fe26941798e86d00">attemptRecoveryFromError:optionIndex:delegate:didRecoverSelector:contextInfo:</a></td></tr>
<tr class="separator:abfea977af3574bf3fe26941798e86d00"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>a formal protocol very similar to the informal protocol NSErrorRecoveryAttempting </p>
</div><h2 class="groupheader">Method Documentation</h2>
<a id="abfea977af3574bf3fe26941798e86d00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfea977af3574bf3fe26941798e86d00">&#9670;&nbsp;</a></span>attemptRecoveryFromError:optionIndex:delegate:didRecoverSelector:contextInfo:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) attemptRecoveryFromError: </td>
          <td></td>
          <td class="paramtype">(NSError *)&#160;</td>
          <td class="paramname"><em>error</em></td>
        </tr>
        <tr>
          <td class="paramkey">optionIndex:</td>
          <td></td>
          <td class="paramtype">(NSUInteger)&#160;</td>
          <td class="paramname"><em>recoveryOptionIndex</em></td>
        </tr>
        <tr>
          <td class="paramkey">delegate:</td>
          <td></td>
          <td class="paramtype">(id)&#160;</td>
          <td class="paramname"><em>delegate</em></td>
        </tr>
        <tr>
          <td class="paramkey">didRecoverSelector:</td>
          <td></td>
          <td class="paramtype">(SEL)&#160;</td>
          <td class="paramname"><em>didRecoverSelector</em></td>
        </tr>
        <tr>
          <td class="paramkey">contextInfo:</td>
          <td></td>
          <td class="paramtype">(void *)&#160;</td>
          <td class="paramname"><em>contextInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>attempt the recovery</p><ul>
<li>Parameter error: the error</li>
<li>Parameter recoveryOptionIndex: the selected option index</li>
<li>Parameter delegate: the delegate</li>
<li>Parameter didRecoverSelector: the callback selector, see discussion.</li>
<li>Parameter contextInfo: context info to pass back to callback selector, see discussion.</li>
</ul>
<p>Given that an error alert has been presented document-modally to the user, and the user has chosen one of the error's recovery options, attempt recovery from the error, and send the selected message to the specified delegate. The option index is an index into the error's array of localized recovery options. The method selected by didRecoverSelector must have the same signature as:</p>
<ul>
<li>(void)didPresentErrorWithRecovery:(BOOL)didRecover contextInfo:(void *)contextInfo;</li>
</ul>
<p>The value passed for didRecover must be YES if error recovery was completely successful, NO otherwise. </p>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_constants_8h_source.html">FBSDKConstants.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
